package linux-image-5.0.0-13-generic 5.0.0-13.14 failed to install/upgrade: triggers looping, abandoned

Bug #1825420 reported by Norbert on 2019-04-18
132
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Ubuntu MATE
Undecided
Unassigned
bamf (Ubuntu)
Undecided
Unassigned
dpkg (Ubuntu)
Undecided
Unassigned
initramfs-tools (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
High
Thadeu Lima de Souza Cascardo
linux-firmware (Ubuntu)
Undecided
Unassigned
mime-support (Ubuntu)
Undecided
Unassigned

Bug Description

Steps to reproduce:
1. Have Ubuntu 18.10 installed
2. Install all updates to it
3. Switch to Main server
4. Launch update-manager
5. Confirm upgrading to 19.04
6. Wait for upgrade process to finish

Expected results:
* upgrade process ended without errors

Actual results:
* upgrade process ended with warning message:

    Could not install 'linux-image-5.0.0-13-generic'
    The upgrade will continue but the 'linux-image-5.0.0-13-generic' package may not be in a working state. Please consider submitting a bug report about it.

    triggers looping, abandoned

Workaround:

  Run recommended `dpkg --configure -a` before actual reboot.

System info: running VirtualBox guest with virtualbox-guest-x11 (6.0.6-dfsg-1) inside VirtualBox 5.1.38 host.

ProblemType: Package
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-13-generic 5.0.0-13.14
ProcVersionSignature: Ubuntu 4.18.0-17.18-generic 4.18.20
Uname: Linux 4.18.0-17-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mate 1542 F.... pulseaudio
Date: Thu Apr 18 22:56:56 2019
ErrorMessage: triggers looping, abandoned
InstallationDate: Installed on 2019-02-17 (60 days ago)
InstallationMedia: Ubuntu-MATE 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.2)
IwConfig:
 lo no wireless extensions.

 enp0s3 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 80ee:0021 VirtualBox USB Tablet
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
ProcFB: 0 vboxdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-17-generic root=UUID=01417e27-d554-4ce8-91bc-1dda8392c976 ro quiet splash
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
Python3Details: /usr/bin/python3.7, Python 3.7.3, python3-minimal, 3.7.3-1
PythonDetails: /usr/bin/python2.7, Python 2.7.16, python-minimal, 2.7.16-1
RelatedPackageVersions: grub-pc 2.02+dfsg1-12ubuntu2
RfKill:

SourcePackage: linux
StagingDrivers: vboxvideo
Title: package linux-image-5.0.0-13-generic 5.0.0-13.14 failed to install/upgrade: triggers looping, abandoned
UpgradeStatus: Upgraded to disco on 2019-04-18 (0 days ago)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.board.name: VirtualBox
dmi.board.vendor: Oracle Corporation
dmi.board.version: 1.2
dmi.chassis.type: 1
dmi.chassis.vendor: Oracle Corporation
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
dmi.product.family: Virtual Machine
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

Norbert (nrbrtx) wrote :
tags: removed: need-duplicate-check

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
layingback (laying-back) wrote :

Also affected: Ubuntu MATE 18.10 -> 19.04 Upgrade. Normal system (not VM). 18.10 was a hardly used clean install of Ubuntu MATE, up-to-date patch status before update. Install appears complete and OK ...

drs305 (drs305) wrote :

Same error message for me. Unable to boot into the 4 kernel backup as well. Repeatedly boots to the login screen, which shows my name but refuses to accept my password.

Attempted installation with the beta and now the released version with same result.

Running standard Ubuntu 18.10 - at least I was until the new upgrade failed...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in initramfs-tools (Ubuntu):
status: New → Confirmed
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Norbert (nrbrtx) wrote :

Confirmed during upgrade of clean fully-updated Ubuntu MATE 18.10 to Ubuntu MATE 19.04, so I have marked Ubuntu MATE as affected by this bug.

adithya jayaprakash (adithyajp) wrote :

Faced same problem while upgrading from 18.10 to 19.04
Upgrade completed but showed
" Could not install 'linux-image-5.0.0-13-generic'
    The upgrade will continue but the 'linux-image-5.0.0-13-generic' package may not be in a working state. Please consider submitting a bug report about it.

    triggers looping, abandoned

Workaround:

  Run recommended `dpkg --configure -a` before actual reboot.

I reverted to old kernel 4.18.0-17 and 19.04 booted fine although it takes a longer time than usual. Then I deleted this 5.0.0-13 kernel and headers

Changed in linux (Ubuntu):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
importance: Undecided → High
status: Confirmed → In Progress

Upgrading a cloud image, I couldn't reproduce it. I also tried installing mate-desktop-environment-core + mate-dock-applet (because it depends on bamfdaemon) before upgrading, and still couldn't reproduce. I will install a cosmic mate desktop and see if I can reproduce this problem when upgrading.

However, the dpkg terminal log mentions bamfdaemon and mime-support as possible culprits on the trigger loop. So I am adding these and dpkg as well to the bug.

In my opinion, this sounds more like a symptom of some trigger loop not caused by the kernel that causes dpkg to stop, which leaves the kernel unconfigured.

drs305 (drs305) wrote :

More info from post #4

Tried another upgrade from Ubuntu 18.10, which failed once again. I was unable to upload the errors but at approximately the 60% mark of the actual installation, a message was generated that the upgrade would probably fail.

The error messages at this point included a GDK PixBuf Warning that it could not open the pixbuf loader module file:
"/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bamf (Ubuntu):
status: New → Confirmed
Changed in dpkg (Ubuntu):
status: New → Confirmed
Changed in mime-support (Ubuntu):
status: New → Confirmed
Phil Gorman (phil-gorman) wrote :

System: Dell Studio XPS 8300 64bit. memory: 7.8 GiB. CPU: Intel® Core™ i7-2600 CPU @ 3.40GHz × 8.
Graphics AMD® Juniper.

Upgrading from perfectly good 18.10.

Before this bug appeared another error message had stated /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory.

Grub indicated the presence of 5.0.0.13.14 but login failed. I can log in with the previous kernel but it's very slow. Using Gimp 2.10.10 I'm experiencing odd behavior in tools, followed by hanging, before totally freezing the computer. After giving it 90 minutes It was still unusable, Control alt delete didn't work.The system required a hard reboot, losing hours of work.

Troels Petersen (thesleort) wrote :

I also reverted to Linux kernel 4.18.0-13-generic (The one that ships with Ubuntu 18.10) after upgrading to 19.04.

System: HP Spectre 13 v000nf, 8 GB Memory, Dual core Intel i5-6200U CPU @ 2.30 GHz, Intel HD Graphics 520 (Skylake GT2)

When running 'sudo apt upgrade' it complains about a missing dkms.conf file:

Setting up linux-headers-5.0.0-13-generic (5.0.0-13.14) ...
/etc/kernel/header_postinst.d/dkms:
Error! Could not locate dkms.conf file.
File: /var/lib/dkms/igfxdcd/1.1.11/source/dkms.conf does not exist.
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 4
dpkg: error processing package linux-headers-5.0.0-13-generic (--configure):
 installed linux-headers-5.0.0-13-generic package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of linux-headers-generic:
 linux-headers-generic depends on linux-headers-5.0.0-13-generic; however:
  Package linux-headers-5.0.0-13-generic is not configured yet.

dpkg: error processing package linux-headers-generic (--configure):
 dependency problems - leaving unconfigured
Setting up linux-image-5.0.0-13-generic (5.0.0-13.14) ...
No apport report written because the error message indicates its a followup error from a previous failure.
     dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-headers-generic (= 5.0.0.13.14); however:
  Package linux-headers-generic is not configured yet.

dpkg: error processing package linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
     Processing triggers for linux-image-5.0.0-13-generic (5.0.0-13.14) ...
/etc/kernel/postinst.d/dkms:
Error! Could not locate dkms.conf file.
File: /var/lib/dkms/igfxdcd/1.1.11/source/dkms.conf does not exist.
run-parts: /etc/kernel/postinst.d/dkms exited with return code 4
dpkg: error processing package linux-image-5.0.0-13-generic (--configure):
 installed linux-image-5.0.0-13-generic package post-installation script subprocess returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 linux-headers-5.0.0-13-generic
 linux-headers-generic
 linux-generic
 linux-image-5.0.0-13-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

On 25/4/19 8:31 am, Troels Petersen wrote:
> I also reverted to Linux kernel 4.18.0-13-generic (The one that ships
> with Ubuntu 18.10) after upgrading to 19.04.
>
> System: HP Spectre 13 v000nf, 8 GB Memory, Dual core Intel i5-6200U CPU
> @ 2.30 GHz, Intel HD Graphics 520 (Skylake GT2)
>
> When running 'sudo apt upgrade' it complains about a missing dkms.conf
> file:
>
> Setting up linux-headers-5.0.0-13-generic (5.0.0-13.14) ...
> /etc/kernel/header_postinst.d/dkms:
> Error! Could not locate dkms.conf file.
> File: /var/lib/dkms/igfxdcd/1.1.11/source/dkms.conf does not exist.
> run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 4
> dpkg: error processing package linux-headers-5.0.0-13-generic (--configure):
> installed linux-headers-5.0.0-13-generic package post-installation script subprocess returned error exit status 1
> dpkg: dependency problems prevent configuration of linux-headers-generic:
> linux-headers-generic depends on linux-headers-5.0.0-13-generic; however:
> Package linux-headers-5.0.0-13-generic is not configured yet.
>
> dpkg: error processing package linux-headers-generic (--configure):
> dependency problems - leaving unconfigured
> Setting up linux-image-5.0.0-13-generic (5.0.0-13.14) ...
> No apport report written because the error message indicates its a followup error from a previous failure.
> dpkg: dependency problems prevent configuration of linux-generic:
> linux-generic depends on linux-headers-generic (= 5.0.0.13.14); however:
> Package linux-headers-generic is not configured yet.
>
> dpkg: error processing package linux-generic (--configure):
> dependency problems - leaving unconfigured
> No apport report written because the error message indicates its a followup error from a previous failure.
> Processing triggers for linux-image-5.0.0-13-generic (5.0.0-13.14) ...
> /etc/kernel/postinst.d/dkms:
> Error! Could not locate dkms.conf file.
> File: /var/lib/dkms/igfxdcd/1.1.11/source/dkms.conf does not exist.
> run-parts: /etc/kernel/postinst.d/dkms exited with return code 4
> dpkg: error processing package linux-image-5.0.0-13-generic (--configure):
> installed linux-image-5.0.0-13-generic package post-installation script subprocess returned error exit status 1
> No apport report written because MaxReports is reached already
> Errors were encountered while processing:
> linux-headers-5.0.0-13-generic
> linux-headers-generic
> linux-generic
> linux-image-5.0.0-13-generic
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>

I noticed that the OP had VirtualBox installed, same for me. This taints the kernel ...

Are people who posted about going back to the old kernel using VBox?

So, re-installing 'VirtualBox' and ubuntu package 'menu' worked for me, and keeping the new kernel

Suggest "dmesg | grep vbox" (YMMV)

I also noticed that I had installed the .deb as a direct download from Oracle & and not noticed there was an Ubuntu package in the repositories. The Ubuntu package has some extra bits to it.

Apport/Whoopsie kept popping up with a crash message shortly after login but when I clicked to see the report everything disappeared. Anyone else get this? Re-install of 'menu' seems to work here.

Update to 2 hours ago:

Started getting segfault problems with libglib. Again re-install fixed that but then I was getting segfaults elsewhere too.

I have now reverted to a full system backup of 18.10 that I made earlier && will probably stay on that for a bit longer.

Gregory Stewart (gstewart-h) wrote :

I went back to the 4.18 kernel but am not running VirtualBox (running bare metal).

Also seeing issues with libglib. gnome-shell won't run due to a trap in libglib-2.0.so:

https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1826025

erwanbzh22 (erwanbzh22) on 2019-04-26
Changed in linux (Ubuntu):
status: In Progress → Confirmed
arkmundi (rkerver) wrote :

Upgraded today from 18.10 and encountered same issue:
Could not install 'linux-image-5.0.0-13-generic'

The upgrade will continue but the 'linux-image-5.0.0-13-generic' package may not be in a working state. Please consider submitting a bug report about it.

Could not install the upgrades

The upgrade has aborted. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).

... then rebooted OK. No idea whether I'm good to go or not.

So, 4 weeks later, after my previous comments, and now running stably:

Upgraded to 5.0.0-15 today via command line with 'do-release-upgrade'. The triggers looping error still happens but this gets mopped up by dpkg --configure -a which the upgrade script autoruns for you.

The 'system error detected' pop-up was still there but I was able to cure this via:

https://gitlab.freedesktop.org/spice/linux/vd_agent/commit/098268a33c7c8008ccec9050aea8f0763f1c06d5

'/var/run' is a symlink but errors still happen; just edit out the '/var' prefix for the PIDfile entry in /lib/systemd/system/spice-vdagent.service.

I think this above is connected to the problems with virtual box too. Also edit the files /usr/lib/tmpfiles.d/spice-vdagentd.conf & speech-despatcher.conf while you are there. See 'cat /var/log/syslog' and you will see similar errors main spice one that's detailed.

VirtualBox itself upgraded without problem, as I was using the ubuntu packages this time. I just needed to editions, from file > prefs, to get get the machines to load up.

Don't think this was of significance, but who knows,so I probably should mention another couple of fixes I did before the upgrade, based on syslog entries:

This one here for OID file not found errors:

https://askubuntu.com/questions/1102926/colord-errors-in-var-log-syslog-in-18-10

The other was commenting out 'max-height' and 'max-width' from gtk-widgets.css in /usr/share/themes/Ambiant-MATE/gtk-3.0. Annoying error that I have been meaning to sort out for a while now ...

I have tested this all day. Run it through its paces. Still a few little grumbles showing in the syslog but nothing serious I tend to think. I am guessing things trying to launch before AppArmor will let them, that's all.

Seems good.

Norbert (nrbrtx) on 2019-06-01
Changed in ubuntu-mate:
status: New → Invalid
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Brian Murray (brian-murray) wrote :

I tested an upgrade from Ubuntu 18.10 to Ubuntu 19.04 today with some of the packages from the DuplicateSignature.txt installed e.g.:

Start-Date: 2019-09-25 17:14:37
Commandline: apt-get install bamfdaemon mime-support
Requested-By: bdmurray (1000)
Install: bamfdaemon:amd64 (0.5.3+18.04.20180207.2-0ubuntu1), libbamf3-2:amd64 (0.5.3+18.04.20180207.2-0ubuntu1, automatic)
End-Date: 2019-09-25 17:14:38

Start-Date: 2019-09-25 17:15:21
Commandline: apt-get install libvlc-bin gnome-icon-theme hicolor-icon-theme
Requested-By: bdmurray (1000)
Install: gnome-icon-theme:amd64 (3.12.0-3), libvlc5:amd64 (3.0.4-2build1, automatic), libvlccore9:amd64 (3.0.4-2build1, automatic), libvlc-bin:amd64 (3.0.4-2build1), libproxy-tools:amd64 (0.4.15-2, automatic)
End-Date: 2019-09-25 17:15:29

The upgraded proceeded without issue and I did not encounter any issues with triggers looping.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers